Executions

List per-vertex payment ledger events for an execution

Required API-key scope: executions:read.

get /executions/{execution_object_id}/payment-ledger

Authorizations

x-api-key string header required

Talus API Key in the form key_id.secret. The API also accepts Authorization: ApiKey <key_id.secret>, but the docs UI is configured to send x-api-key.

Path Parameters

execution_object_id string required

Execution object id

Query Parameters

kind string | null

Filter by ledger event kind (refilled, insufficient_settlement, fees_recorded, tool_cost_snapshotted, vertex_locked, vertex_settled).

page_token integer | null
page_size integer | null

200application/json

Paginated list of payment ledger events

items object[] required
agent_object_id string | null
amount integer | null
cost integer | null
created_at string required
gas_fee_mist integer | null
id integer<int32> required
kind string required
payment_object_id string | null
priority_fee_mist integer | null
priority_fee_percentage integer | null
refill_amount integer | null
refill_source string | null
required_shortfall integer | null
settlement_kind string | null
skill_id integer | null
tool_fee_mist integer | null
tool_fqn string | null
tx_digest string required
vertex_key string | null
walk_index integer | null
was_refunded boolean | null
metadata object required

Pagination metadata included in every listing response.

next_token integer | null

Token to pass as page_token to retrieve the next page. null means there are no more pages.

total_items integer<int64> required

Total number of items across all pages.

400

Invalid filter value

404

Execution was not found

500

Internal server error